Skip to main content

Retrieve all your job listings

Important

The base URL here is https://api.flatchr.io

Request

GET /company/{companyId}/vacancies

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIdpathstring
✔️
Company identifierWy3EOp2NP3p1KMq8
fieldsquerystringOptional informationaddress

Available field values

Fields allow you to retrieve information associated with job listings.

Values should be added to the fields URL parameter, separated by commas.

NameDescriptionData type
addressJob listing addressAddress
tagsTagsTags

Filters for listings

You can filter listings by status.

NameDescriptionData type
statusListing statusVacancy status
offer_idDistribution channel (career site or intranet)

Listings published on the intranet have offer_id 152; listings published on the career site have offer_id 98.

Request examples

cURL request
curl -X GET https://api.flatchr.io/company/Wy3EOp2NP3p1KMq8/vacancies

Response

NameTypeDescription
idstringIdentifier
vacancy_idstringListing ID
slugstringListing slug
referencestringListing reference
titlestringListing title
descriptionstringCompany description
experienceintegerYears of experience required
missionstringJob description
profilestringRequired candidate profile
salaryintegerSalary for the position
statusintegerListing status
languageenumLanguage e.g. fr_FR
tags[tag]Array of tags
contract_type_idintegerContract type ID
education_level_idintegerEducation level required ID
activity_idintegerIndustry sector ID
channel_idintegerChannel ID
metier_idintegerJob category ID
company_idintegerCompany ID
mensualityenum (y,m,d,h)Salary payment frequency (year, month, day, hour)
apply_urlurl
currencyenumCurrency e.g. "EUR"
created_attimestampListing creation date
updated_attimestampListing last update date
start_datetimestampContract start date
end_datetimestampContract end date
driver_licensebooleanDriving license required
remoteenumRemote work ("notime", "parttime", "fulltime")
handicapbooleanOpen to workers with disabilities
partialbooleanPart-time position
kanbanboolean
meta_title
meta_description
meta_tags
optionsoptions
contract_typestringContract type
education_levelstringEducation level required
activitystringIndustry sector
channelstringChannel
metierstringJob category
addressaddress
adressFormattedstringCompany address
companycompany
slug_mailstringEmail slug for application submissions
questions[question]Array of questions

Response example

View example
[
{
"id": "eoLm5NdDXmdAGbZQ",
"vacancy_id": 1701,
"slug": "eolm5nddxmdagbzq-archiveur-de-lampes",
"reference": null,
"title": "Archiveur de lampes",
"description": "<p>...</p>",
"experience": 2,
"mission": "<p>...</p>",
"profile": "<p>...</p>",
"salary": "1800",
"status": 1,
"language": "fr_FR",
"contract_type_id": 1,
"education_level_id": 2,
"activity_id": 21,
"channel_id": 8,
"metier_id": 85,
"company_id": 59,
"mensuality": "m",
"apply_url": null,
"currency": "EUR",
"created_at": "2023-05-10T06:40:59.131Z",
"updated_at": "2023-05-10T06:40:59.145Z",
"start_date": null,
"end_date": null,
"driver_license": false,
"remote": "notime",
"handicap": false,
"partial": false,
"kanban": true,
"meta_title": null,
"meta_description": null,
"meta_tags": null,
"options": {
"required": ["email", "resume", "motivation"],
"optionals": ["phone", "social_links"],
"desactivated": ["indeed"],
"motivationType": "text"
},
"slug_mail": "v81n3d",
"video_url": "",
"show_address": true,
"show_contract_date": true,
"show_contract_type": true,
"show_salary": true,
"worker_status": "supervisor",
"skills": "Merchandising;Négociation"
}
]